PostgreSQL Bugs

Collected from the PG bugs email list.

Bug ID16271
PG Version9.5.3
OSCENT OS - 7
Opened2020-02-21 18:34:31+00
Reported byDaniel Prince
StatusNew

Body of first available message related to this bug follows.

The following bug has been logged on the website:

Bug reference:      16271
Logged by:          Daniel Prince
Email address:      (redacted)
PostgreSQL version: 9.5.3
Operating system:   CENT OS - 7
Description:        

Hi ,

My Production database version is PostgreSQL 9.5.3 on CENT OS 7. I have
received an error:
ERROR:  unsupported XML feature
DETAIL:  This functionality requires the server to be built with libxml
support.
HINT:  You need to rebuild PostgreSQL using --with-libxml.

Note : I want to enable XML Support to the existing database and also i want
to stay with the same version.

My existing bin and data directory is as follows: 
BIN : /pgsql/PostgreSQL/9.5.3/bin/ 
DATA: /pgdata/data
To resolve this issues i have tried like:
I have installed with new bin directory with a dummy data directory

./configure --prefix=/pgsql/PostgreSQL/953/ --with-openssl --with-libxml
make all  
make install
mkdir /pgdata/data953
/pgsql/PostgreSQL/953/bin/initdb -D /pgdata/data953/ 

Now I will rename old bin directory from "9.5.3" to "953_OLD", then
I will rename bin directory 953 to 9.5.3 and up the database with the
existing data folder "/pgdata/data"


Then i will do the following changes in the File: 

File Name : /etc/ld.so.conf
 
Line need to be add : 
/pgsql/Postgresql/9.5.3/lib
 
After added, need to run the following command:
 
sudo ldconfig

Finally I will start the database using the Following command : 

/pgsql/PostgreSQL/9.5.3/bin/pg_ctl start -D /pgdata/data 

Did i went any where wrong please advise?

Messages

DateAuthorSubject
2020-02-21 18:34:31+00PG Bug reporting formBUG #16271: rebuild PostgreSQL using --with-libxml